"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var ReactControlMapper_1 = require("../ReactControlMapper");
var react_materialize_1 = require("react-materialize");
var EditViewStyles_1 = require("./EditViewStyles");
var EditView = (function (_super) {
    __extends(EditView, _super);
    function EditView(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            content: _this.props.content,
            schema: ReactControlMapper_1.ReactControlMapper.GetFullSchemaForContent(_this.props.content, 'edit')
        };
        _this.handleInputChange = _this.handleInputChange.bind(_this);
        _this.DisplayName = _this.props.content.DisplayName;
        return _this;
    }
    EditView.prototype.handleInputChange = function (event) {
        var target = event.target;
        var value = target.type === 'checkbox' ? target.checked : target.value;
        var name = target.name;
        this.state.content[name] = value;
        this.setState({
            content: this.props.content
        });
    };
    EditView.prototype.getFieldValue = function (name) {
        if (this.props.content[name]) {
            return this.props.content[name];
        }
        else {
            return null;
        }
    };
    EditView.prototype.render = function () {
        var _this = this;
        var fieldSettings = this.state.schema.FieldMappings;
        var that = this;
        return (React.createElement(react_materialize_1.Row, null,
            React.createElement("form", { style: EditViewStyles_1.styles.container, onSubmit: function (e) {
                    e.preventDefault();
                    if (_this.props.onSubmit) {
                        _this.props.onSubmit(_this.state.content);
                    }
                    if (_this.props.history) {
                        _this.props.history.goBack();
                    }
                    else {
                        window.history.back();
                    }
                } },
                React.createElement("h4", null,
                    "Edit ",
                    this.DisplayName),
                fieldSettings.map(function (e, i) {
                    return (React.createElement(react_materialize_1.Col, { s: 12, m: fieldSettings[i].ControlType.name === 'RichTextEditor' ? 12 : 6, l: fieldSettings[i].ControlType.name === 'RichTextEditor' ? 12 : 6, key: fieldSettings[i].ClientSettings.name }, React.createElement(fieldSettings[i].ControlType, __assign({}, fieldSettings[i].ClientSettings, { 'data-actionName': 'edit', 'data-fieldValue': that.getFieldValue(fieldSettings[i].ClientSettings.name), onChange: that.handleInputChange }))));
                }),
                React.createElement(react_materialize_1.Col, { s: 12, m: 12, l: 12, style: EditViewStyles_1.styles.buttonContainer },
                    React.createElement(react_materialize_1.Button, { waves: 'light' }, "Submit"),
                    React.createElement(react_materialize_1.Button, { waves: 'light' }, "Cancel")))));
    };
    return EditView;
}(React.Component));
exports.EditView = EditView;
//# sourceMappingURL=EditView.js.map